/* themes variable 1.base, 2.color, 3.emphasis, 4.hover*/
@night-base:#212529, #ced4da, #f8f9fa, #40647b;

@night-container: #191d20, #0b090a, #02040a, #1c1f23, #333533;

.palletes-base(@typeOf){
      @background: extract(@night-base, 1) !important;
         @regular: extract(@night-base, 2) !important;
        @emphasis: extract(@night-base, 3) !important;
    @hoverOrFocus: extract(@night-base, 4) !important;

    body{
        background-color: @background;
        color: @regular;
    }

    .emphasis {
        color: @emphasis;
    }

    a.text-link {
        color: @regular;

        &:hover, &:focus{
            color: @hoverOrFocus;
        }
    }
}

.palletes-container(@typeOf){
      @background: extract(@night-container, 1) !important;
          @border: extract(@night-container, 2) !important;
         @regular: extract(@night-base, 2) !important;
    @hoverOrFocus: extract(@night-base, 4) !important;

    @secondary-background: extract(@night-container, 4) !important;
        @secondary-border: extract(@night-container, 5) !important;

               color: @regular;
        border-color: @border;
    background-color: @background;

    &.secondary{
            border-color: @secondary-border;
        background-color: @secondary-background;
    }

    a.text-link {
        color: @regular;

        &:hover, &:focus{
            color: @hoverOrFocus;
        }
    }
}

.palletes-navigation(@typeOf){
        border-color: extract(@night-base, 4);
    background-color: extract(@night-container, 3);
}

.palletes-content(@typeOf){
    border-color: extract(@night-container, 2) !important;
}

.palletes-base("night");

/* positions cut-set */
.horizontal-off{
     left: 0;
    right: 0;
}

.vertical-off{
       top: 0;
    bottom: 0;
}

/* borders */
.border(@typeOf){
    border: if((@typeOf = "full"), 1px solid, none) !important;

    & when(@typeOf = "bottom") {
        border-bottom: 1px solid !important;
    }
    & when(@typeOf = "right") {
        border-right: 1px solid !important;
    }
    & when(@typeOf = "left") {
        border-left: 1px solid !important;
    }
}

.border-full{
    .border("full");
}

.border-right{
    .border("right");
}

.border-bottom{
    .border("bottom");
}

.border-left{
    .border("left");
}

/* sizing */
each(range(1px, 10px, .5), {
    @label: ((@index * .5) * 10) + 5;
    .w-@{label} {
        width: @value * 10;
    }

    .h-@{label} {
        height: @value * 10;
    }

    .max-w-@{label} {
        max-width: @value * 10;
    }

    .max-h-@{label} {
        max-height: @value * 10;
    }
});

/* custom css */
input[type=checkbox]{
	     width: 0;
    	height: 0;
	visibility: hidden;
}

label.checkbox {
            width: 30px;
           height: 20px;
           cursor: pointer;
          display: block;
         position: relative;
       background: #62929e;
      text-indent: -9999px;
	border-radius: 100px;
}

label.checkbox:after {
	          top: 3px;
	         left: 3px;
	        width: 14px;
	       height: 14px;
	      content: '';
	     position: absolute;
	   background: #fafafa;
	   transition: 0.3s;
	border-radius: 90px;
}

input:checked + label.checkbox {
	background: #e4e6c3;
}

input:checked + label.checkbox:after {
         background: #22333b;
	     left: calc(100% - 3px);
	transform: translateX(-100%);
}

label.checkbox:active:after {
	width: 13px;
}
